%if 0%{?fedora}
%global with_python3 1
%else
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global srcname tempora
%global upstreamname tempora

Name:           python-tempora
Version:        1.4
Release:        1%{?dist}
Summary:        Objects and routines pertaining to date and time

License:        MIT
URL:            https://pypi.python.org/pypi/%{upstreamname}/
Source0:        https://pypi.python.org/packages/source/t/%{upstreamname}/%{upstreamname}-%{version}.tar.gz
BuildArch:      noarch

Provides: python2-%{srcname} = %{version}-%{release}

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python2-setuptools_scm
BuildRequires: python-sphinx
BuildRequires: python-pytest-runner

%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-setuptools_scm
BuildRequires: python3-pytest-runner
%endif

%description
Utilities for working with python datetime objects

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary: Objects and routines pertaining to date and time

%description -n python3-%{srcname}
Utilities for working with python datetime objects

This package contains the version of the module designed to work with python3
%endif

%prep
%setup -q -n %{upstreamname}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python2} setup.py build
%{__python2} setup.py build_sphinx

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
rm -rf %{buildroot}
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%check
%{__python2} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files
%doc README.rst CHANGES.rst docs
%{python2_sitelib}/*
%if !0%{?with_python3}
%{_bindir}/*
%endif

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc README.rst CHANGES.rst docs
%{python3_sitelib}/*
%{_bindir}/*
%endif

%changelog
* Mon Jan 18 2016 Toshio Kuratomi <toshio@fedoraproject.org> - 1.4-1
- Initial Fedora build
